Subject: Re: [Bitcoin-development] Is SourceForge still trustworthy enough to host this list?

From: Ivan Brightly <[email-masked]>
Date: Wed, 10 Jun 2015 15:13:11 -0400

"My opinion is the most sustainable solution would be to identify a
team of admins and use something like Digital Ocean's new team accounts
feature and have someone like SolidX contribute funds for the servers
and a few hours a week from one of their sysadmins to the team."

This is a perfectly fine option. Alternatively, if the paid mailing list
option is preferred, I'd suggest Intermedia: